PWCK(8)

NAME
pwck - überprüft die Stimmigkeit der Passwortdateien

ÜBERSICHT

pwck [Optionen] [passwd [ shadow ]]

BESCHREIBUNG

The pwck command verifies the integrity of the users and authentication information. It checks that all entries in /etc/passwd and /etc/shadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Es wird überprüft, ob jeder Eintrag folgende Eigenschaften aufweist:

    • die richtige Anzahl von Feldern

    • einen eindeutigen und gültigen Benutzernamen

    • eine gültige Benutzer- und Gruppenkennung

    • eine gültige Hauptgruppe

    • ein gültiges Home-Verzeichnis

    • eine gültige Anmelde-Shell

shadow checks are enabled when a second file parameter is specified or when /etc/shadow exists on the system.

Diese Tests umfassen Folgendes:

    • ob jedem Eintrag in passwd ein Eintrag in shadow entspricht und umgekehrt

    • ob die Passwörter in der Shadow-Datei niedergelegt sind

    • ob die shadow-Einträge die richtige Anzahl von Feldern haben

    • ob die Shadow-Einträge in shadow eindeutig sind

    • dass das Datum der letzten Passwortänderung nicht in der Zukunft liegt

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warning and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

OPTIONEN

The -r and -s options cannot be combined.

The options which apply to the pwck command are:

--badname
    Allow names that do not conform to standards.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-q, --quiet
    meldet nur Fehler. Warnungen, die keine Handlung des Benutzers erfordern, werden nicht angezeigt

-r, --read-only
    Execute the pwck command in read-only mode.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --sort
    Sort entries in /etc/passwd and /etc/shadow by UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PASS_MAX_DAYS (number)
    Die maximale Anzahl von Tagen, für die ein Passwort verwendet werden darf. Wenn das Passwort älter ist, wird ein Wechsel des Passworts erzwungen. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_MIN_DAYS (number)
    Die Mindestanzahl von Tagen, bevor ein Wechsel des Passworts zugelassen wird. Ein vorheriger Versuch, das Passwort zu ändern, wird abgelehnt. Falls nicht angegeben, wird -1 angenommen (was zur Folge hat, dass diese Beschränkung abgeschaltet ist).

PASS_WARN_AGE (number)
    Die Anzahl von Tagen, an denen der Benutzer vorgewarnt wird, bevor das Passwort verfällt. Eine Null bedeutet, dass eine Warnung nur am Tag des Verfalls ausgegeben wird. Ein negativer Wert bedeutet, dass keine Vorwarnung erfolgt. Falls nicht angegeben, wird keine Vorwarnung ausgegeben.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

RÜCKGABEWERTE

The pwck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad password entries

3
    can't open password files

4
    can't lock password files

5
    can't update password files

6
    can't sort password files

SIEHE AUCH

group(5), grpck(8), passwd(5), shadow(5), usermod(8).